Approve a distribution request
curl --request POST \
--url https://api.korint.io/distribution-requests/{id}/approve \
--header 'Authorization: Bearer <token>' \
--header 'tenant: <tenant>'import requests
url = "https://api.korint.io/distribution-requests/{id}/approve"
headers = {
"tenant": "<tenant>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {tenant: '<tenant>', Authorization: 'Bearer <token>'}};
fetch('https://api.korint.io/distribution-requests/{id}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"code": "DISTRIBUTION_REQUEST_NOT_FOUND",
"message": "Distribution request {id} not found",
"details": {}
}{
"code": "DISTRIBUTION_REQUEST_CONFLICT",
"message": "Distribution request {id} conflict: {reason}",
"details": {}
}distribution-requests
Approve a distribution request
POST
/
distribution-requests
/
{id}
/
approve
Approve a distribution request
Authorizations
oauth2bearerAuth
Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.
Headers
Your tenant identifier. Requests without it are rejected.
Path Parameters
Response
The response is of type object.
Was this page helpful?
⌘I

